---
layout: post
title: "EFF and Tor in Google Summer of Code 2009"
permalink: eff-and-tor-google-summer-code-2009
date: 2009-03-21
author: karsten
category: blog
tags: ["Google Summer of Code", "gsoc", "gsoc 2009"]
---

Great news! We have been accepted as a mentoring organization for [Google Summer of Code 2009](http://socghop.appspot.com/program/home/google/gsoc2009) together with [The Electronic Frontier Foundation](https://www.eff.org/). Yay!

This will be our third Google Summer of Code after 2007 and [2008](https://blog.torproject.org/blog/tor-project-google-summer-code-2008%21). In our [first year](http://code.google.com/soc/2007/eff/about.html) we had four students working on making relays work better (and not crash) on Windows, on a library and tool to try alternative path selection algorithms, on a fuzzing library to look for parsing problems, and on scalability and privacy for hidden services. In our [second year](http://code.google.com/soc/2008/eff/about.html) we had seven students. One of our successful students of the 2008 program wrote a nice [blog post](https://blog.torproject.org/blog/google-summer-code-2008-review) reviewing how GSoC went for him, for the other students, and for the project in general.

We have made resolutions for our third GSoC participation to make it even more successful than in the past years. We have set ourselves the limit of accepting no more than 4 students (plus up to 2 students mentored by EFF). Rather than being persuaded by all those great applications, we want to focus on the most promising projects and students. We plan to assign up to 3 mentors to each student to provide optimal support. We will try harder to encourage students to interact with the community and become a part of it. It may be challenging to discuss project ideas on a mailing list or in a chat room with dozens or hundreds of unknown people listening. But communication is an important part of the GSoC experience (if not the most important).

It might seem that we have high expectations about our students (actually we do!), but we also have a lot to offer. Our students will work on one of the largest deployed anonymity systems with a few hundred thousand users. We encourage GSoC students to stick to The Tor Project after summer and become part of the team; did you know that two of our [Core people](https://www.torproject.org/people#Core) are former GSoC students? Our mentors are cryptographers, researchers, and/or software developers who have published numerous papers on distinguished security and privacy conferences all over the world. We have an awesome community with a lot of people who will be interested in the students' projects and their progress. Ah, and finally Google gratefully pays $4.5K to each successful GSoC student. Isn't that a fine alternative to $your\_last\_summer\_job?

Did we get you interested? These are your next steps: Look at Google's FAQ whether you are [eligible](http://socghop.appspot.com/document/show/program/google/gsoc2009/faqs#eligibility) to participate. Have a look at our [ideas lists](https://www.torproject.org/gsoc#Ideas) (one for [The Tor Project](https://www.torproject.org/volunteer.html.en#Projects), one for the [EFF's Switzerland tool](http://switzerland.wiki.sourceforge.net/Projects)). Put some thoughts on the listed ideas, or make up your own. Talk to us. No, really, this step is important: Talk to us! Come to [#tor on irc.oftc.net](irc://irc.oftc.net/tor/) or send us an [email](mailto:tor-assistants@freehaven.net) and let us know about your project idea. Write down your application using our [template](https://www.torproject.org/gsoc#Template) and send it in until [April 3, 2009, 19:00 UTC](http://socghop.appspot.com/document/show/program/google/gsoc2009/faqs#timeline). Stick around for any questions we might have to you. We are looking forward to reading your application, erm, to talking to you and discussing your project idea!

